//公告管理
<template>
  <div class="notice">
    <div class="sache">
      <el-input
        placeholder="请输入内容"
        v-model="textInput"
        clearable>
      </el-input>
      <el-button type="primary" class="btn"  @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="toInsert">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>


    <div class="table">
      <dilTable v-bind.sync="detailOptions">
      </dilTable>
    </div>
  </div>
</template>




<script>
import { getCookie } from '@/utils/util.js'
export default {
  name:"homeworkPath",
  data(){
    return{
      textInput: "" ,
      restaurants: [],
      userId:"",
      dialogVisible:false,
      orgcode:'',
      detailOptions:{
        requestUrl: "/api/v1/ams/getNoticeUser?apiId=520",
        requestQuery:{
          userId:getCookie('userId')
        }
      }
    }
  },
  methods:{
    onclick(){
      this.options.requestUrl = "/api/v1/ams/getCarrierNoticeList?apiId=520&con="+this.textInput;
    },
    deleteNotice(scope){
      console.log(scope)
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          console.log("enter")
          this.axios
            .post("/api/v1/ams/deleteNotice/" + scope.row.noticeId)
            .then((res) => {
              console.log("res.data.code",res.data.code);
              if (res.data.code == 200) {
                this.$message({
                  type: "success",
                  message: "删除成功!",
                });
                this.$router.go(0);
              } else {
                this.$message({
                  message: "删除失败",
                  type: "warning",
                });
              }
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "删除操作已取消!",
          });
        });
    },
  },
 created() {
    this.userId= getCookie('userId')
    this.orgcode=getCookie('orgCode')
  }
}

</script>

<style lang="scss" scode>
.notice{
  .sache{
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
}
</style>
